import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import { useHidePersonalData } from '../personalDataSecurity';
import { TextField } from '../TextField';
import { classNames } from '../utils/classNames';
export const EmailField = forwardRef(({ isHidePersonalData, inputProps, ...props }, ref) => {
    const hidePersonalDataClassname = useHidePersonalData({
        isEnabled: isHidePersonalData,
        type: 'input',
    });
    return (_jsx(TextField, { ref: ref, type: "email", inputProps: {
            ...inputProps,
            className: classNames(inputProps?.className, hidePersonalDataClassname),
        }, ...props }));
});
